#pragma once

#include <vector>

namespace massivedynamic {
	
class Renderer {
	protected:
		const std::vector<bool>& pixels;
		size_t sourceSize;
		size_t targetSize;
	public:
		Renderer(const std::vector<bool>& pixels, size_t sourceSize, size_t targetSize) : pixels(pixels), sourceSize(sourceSize), targetSize(targetSize) {}
		virtual ~Renderer() = default;
		virtual void render(const std::string& filename) = 0;
};

}
